commit:     5482967ee3bb1c7f344527f6c547f4835b86f54c
Author:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 30 00:38:32 2024 +0000
Commit:     Jason Zaman <perfinion <AT> gentoo <DOT> org>
CommitDate: Sun Jun 30 00:38:32 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5482967e

sys-apps/checkpolicy: bump to 3.7

Signed-off-by: Jason Zaman <perfinion <AT> gentoo.org>

 sys-apps/checkpolicy/Manifest               |  1 +
 sys-apps/checkpolicy/checkpolicy-3.7.ebuild | 54 +++++++++++++++++++++++++++++
 2 files changed, 55 insertions(+)

diff --git a/sys-apps/checkpolicy/Manifest b/sys-apps/checkpolicy/Manifest
index d8d08681182e..de87eb345ea3 100644
--- a/sys-apps/checkpolicy/Manifest
+++ b/sys-apps/checkpolicy/Manifest
@@ -1,2 +1,3 @@
 DIST checkpolicy-3.5.tar.gz 69904 BLAKE2B 
e02ccad07534568a1bbb612330018bbe486800ea40df20ed6f9dc38c88aff7f8858782a28ba7915a58c3bb384f180eb8da7a8fe97a92bcb9baa61eec18da6cbc
 SHA512 
fcd490d865af3b4350c32c5dd9916f8406219841e1e255d8945c6dcc958535247aa27af5597a6988e19f11faea7beeabcb46e8ba2431112bb4aa5c7697bca529
 DIST checkpolicy-3.6.tar.gz 70684 BLAKE2B 
d32a8b86897bd4a08caf61a096a691c8d049fa7b5b4561f4847e0dfbb62a82fc6c3ddb5be163c7cd6163491c50513aec14e4c67842f256f48688b26178c2887a
 SHA512 
0d48fb385b4d1e66d562e40b6e794406f46d8803cc504705b26547130cb13b65fab5fdb4fc032b1c95d4f91862ff134a89fffde854c5ce466c2dd2657e416070
+DIST checkpolicy-3.7.tar.gz 74992 BLAKE2B 
78f419fa89981ad16364b3d6406e313fda5230588063c9a9dbb70535f0421c5b402b9c86d2f63d4ab7b8119c38044b6dc556fb2dd40240428c914cb25a2facbe
 SHA512 
f428edcbe17bd5b5f22dd827cf21c89c2cf645bae6c0342c6663743cafd9f8a8d7c8b5a1b48c04569fdb0cce11ffcb6c0b6d7fa76075a1a274948ba418bcc5b4

diff --git a/sys-apps/checkpolicy/checkpolicy-3.7.ebuild 
b/sys-apps/checkpolicy/checkpolicy-3.7.ebuild
new file mode 100644
index 000000000000..35ff8c551e28
--- /dev/null
+++ b/sys-apps/checkpolicy/checkpolicy-3.7.ebuild
@@ -0,0 +1,54 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit toolchain-funcs
+
+MY_PV="${PV//_/-}"
+MY_P="${PN}-${MY_PV}"
+
+DESCRIPTION="SELinux policy compiler"
+HOMEPAGE="http://userspace.selinuxproject.org";
+
+if [[ ${PV} == 9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/SELinuxProject/selinux.git";
+       S="${WORKDIR}/${P}/${PN}"
+else
+       
SRC_URI="https://github.com/SELinuxProject/selinux/releases/download/${MY_PV}/${MY_P}.tar.gz";
+       KEYWORDS="~amd64 ~arm ~arm64 ~mips ~riscv ~x86"
+       S="${WORKDIR}/${MY_P}"
+fi
+
+LICENSE="GPL-2"
+SLOT="0"
+IUSE="debug"
+
+DEPEND=">=sys-libs/libsepol-${PV}"
+BDEPEND="sys-devel/flex
+       sys-devel/bison"
+
+RDEPEND=">=sys-libs/libsepol-${PV}"
+
+src_compile() {
+       emake \
+               CC="$(tc-getCC)" \
+               YACC="bison -y" \
+               LIBDIR="\$(PREFIX)/$(get_libdir)"
+}
+
+src_install() {
+       default
+
+       if use debug; then
+               dobin "${S}/test/dismod"
+               dobin "${S}/test/dispol"
+       fi
+}
+
+pkg_postinst() {
+       if ! tc-is-cross-compiler; then
+               einfo "This checkpolicy can compile version `checkpolicy -V | 
cut -f 1 -d ' '` policy."
+       fi
+}

Reply via email to